call :%~1
exit /b %errorlevel%

:download
if exist "components\Open-Shell64" exit /b 0
call download.bat "downloads\OpenShellSetup.exe" "https://github.com/Open-Shell/Open-Shell-Menu/releases/download/v4.4.170/OpenShellSetup_4_4_170.exe"
if "%errorlevel%" neq "0" exit /b %errorlevel%
rmdir /s /q "downloads\osmsi" >nul 2>&1
mkdir "downloads\osmsi" >nul 2>&1
cd "downloads\osmsi"
if "%errorlevel%" neq "0" exit /b %errorlevel%
start /wait "" "..\OpenShellSetup.exe" extract32
if "%errorlevel%" neq "0" exit /b %errorlevel%
start /wait "" "..\OpenShellSetup.exe" extract64
if "%errorlevel%" neq "0" exit /b %errorlevel%
cd ..\..
for %%f in ("downloads\osmsi\OpenShellSetup32*.msi") do (
	start /wait "" msiexec /a "%%f" /qb targetdir="%cd%\components\Open-Shell32"
)
for %%f in ("downloads\osmsi\OpenShellSetup64*.msi") do (
	start /wait "" msiexec /a "%%f" /qb targetdir="%cd%\components\Open-Shell64"
)
rmdir /s /q "downloads\osmsi"
exit /b 0

:install
start /wait "" "components\Open-Shell%arch%\PFiles\Open-Shell\StartMenu.exe" -xml "%cd%\config\Open-Shell Menu.xml"
exit /b %errorlevel%

:uninstall
exit /b 0

:kill
taskkill /f /im "StartMenu.exe"
exit /b 0